.side-bar{
    grid-area: navigation;
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 10px;
    border-bottom: solid;
    overflow-x: auto;
}

.nav-container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
}

.nav-container button {
    background: none;
    border: none;
    cursor: pointer;
    text-align: center;
    font-size: 1rem;
    border-radius: 5px;
    padding: 5px 12px;
    white-space: nowrap;
}

.nav-container button:hover{
    background-color: rgb(227, 227, 227);
}

@media (min-width: 768px) {
    .side-bar {
        flex-direction: column;
        justify-content: start;
        padding: 5%;
        border-bottom: none;
    }

    .nav-container {
        flex-direction: column;
        justify-content: center;
        gap: 20px;
    }

    .nav-container button {
        text-align: left;
        font-size: 1.5rem;
        padding: 5px;
    }
}
